=== src/osgEarthProcedural/CMakeLists.txt ===
IF   (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHPROCEDURAL_LIBRARY)
ELSE (DYNAMIC_OSGEARTH)
    ADD_DEFINITIONS(-DOSGEARTHPROCEDURAL_LIBRARY_STATIC)
ENDIF(DYNAMIC_OSGEARTH)

SET(LIB_NAME osgEarthProcedural)


set(TARGET_GLSL )

set(SHADERS_CPP "${CMAKE_CURRENT_BINARY_DIR}/AutoGenShaders.cpp")

configure_shaders(
    Shaders.cpp.in
    ${SHADERS_CPP}
    ${TARGET_GLSL} )

SET(HEADER_PATH ${OSGEARTH_SOURCE_DIR}/include/${LIB_NAME})
SET(LIB_PUBLIC_HEADERS
#   header files go here
    Common
	Export
	CoverageLegend
	Shaders
	SimplexNoise
	SplatCatalog
)

ADD_LIBRARY(${LIB_NAME} ${OSGEARTH_USER_DEFINED_DYNAMIC_OR_STATIC}
    ${LIB_PUBLIC_HEADERS}
#  .cpp files go here
	CoverageLegend.cpp
	SplatCatalog.cpp
	SimplexNoise.cpp
	${SHADERS_CPP}
)

INCLUDE_DIRECTORIES(
	${OSG_INCLUDE_DIR} 
	${OSGEARTH_SOURCE_DIR} )

LINK_EXTERNAL(
	${LIB_NAME}
	${TARGET_EXTERNAL_LIBRARIES}
	${CMAKE_THREAD_LIBS_INIT}
	${MATH_LIBRARY} )

LINK_INTERNAL(
	${LIB_NAME}
    osgEarth
)

LINK_WITH_VARIABLES(
	${LIB_NAME} 
	OSG_LIBRARY
	OSGDB_LIBRARY
	OSGTEXT_LIBRARY
	OSGUTIL_LIBRARY
	OPENTHREADS_LIBRARY )

LINK_CORELIB_DEFAULT(
	${LIB_NAME}
	${CMAKE_THREAD_LIBS_INIT}
	${MATH_LIBRARY} )

INCLUDE(ModuleInstall OPTIONAL)
