=== src/osgEarthDrivers/fastdxt/CMakeLists.txt ===
OPTION(ENABLE_FASTDXT "Set to ON to build optional FastDXT image compressor." OFF)
IF(ENABLE_FASTDXT)

OPTION(CURL_IS_STATIC "on if curl is a static lib " ON)
MARK_AS_ADVANCED(CURL_IS_STATIC)

IF(WIN32)
    IF(MSVC)
        SET(CMAKE_SHARED_LINKER_FLAGS_DEBUG "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} /NODEFAULTLIB:MSVCRT")
    ENDIF(MSVC)
    IF(CURL_IS_STATIC)
        ADD_DEFINITIONS(-DCURL_STATICLIB)
        SET(TARGET_EXTERNAL_LIBRARIES ws2_32 winmm)
    ENDIF(CURL_IS_STATIC)
ENDIF(WIN32)

SET(TARGET_H
    dxt.h
    libdxt.h
    util.h
)

SET(TARGET_SRC
    FastDXTImageProcessor.cpp
    dxt.cpp
    util.cpp
    libdxt.cpp
    intrinsic.cpp
)

IF( CMAKE_DEBUG_POSTFIX )
    ADD_DEFINITIONS( -DOSGEARTH_DEBUG_POSTFIX=${CMAKE_DEBUG_POSTFIX} )
ENDIF()

IF( CMAKE_RELEASE_POSTFIX )
    ADD_DEFINITIONS( -DOSGEARTH_RELEASE_POSTFIX=${CMAKE_RELEASE_POSTFIX} )
ENDIF()

SETUP_PLUGIN(fastdxt)

ENDIF(ENABLE_FASTDXT)
