=== debian/changelog ===
osgearth (2.8.0+dfsg-2build1) artful; urgency=medium

  * Rebuild against new gdal ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jul 2017 13:42:36 +0200

osgearth (2.8.0+dfsg-2) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Jul 2017 18:32:37 +0200

osgearth (2.8.0+dfsg-1) unstable; urgency=medium

  * Fix spelling errors in copyright file.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 14:44:06 +0200

osgearth (2.8.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Sep 2016 17:46:22 +0200

osgearth (2.8~rc3+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Fix 'acknowledges' typo in copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Sep 2016 10:49:54 +0200

osgearth (2.8~rc2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches applied upstream. Refresh remaining patches.
  * Update symbols for other architectures.
  * Enable protobuf support.
  * Drop obsolete undefined-reference-to-symbol-XInitThreads.patch.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Sep 2016 21:54:30 +0200

osgearth (2.8~rc1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update Files-Excluded for osgEarth 2.8rc1.
  * Update copyright file, changes:
    - Update copyright years for Pelican Mapping & Duktape authors
    - Add license & copyright for NL Template
    - Rename MIT license shortname to Expat
  * Refresh patches.
  * Drop obsolete libminizip-dev build dependency.
  * Update openscenegraph dependencies to require version 3.4.
  * Add -DBUILD_OSGEARTH_EXAMPLES=0 to configure to not build examples.
  * Add libosgearthsplat5 package for libosgEarthSplat.
  * Update README filename in docs files.
  * Override dh_installchangelogs to install releasenotes.rst as changelog.
  * Add OSGEARTH_USE_QT CMake option to build osgEarthQt library.
  * Update Qt dependencies for Qt5 as used by OpenSceneGraph.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 06 Sep 2016 22:58:38 +0200
